### Method

# Json Path compile

#### Declaration [src]

    gboolean
    json_path_compile (
      JsonPath* path,
      const char* expression,
      GError** error
    )

#### Description [src]

Validates and decomposes the given expression.

A JSONPath expression must be compiled before calling `json_path_match()`.

Available since: | 0.14

#### Parameters

`expression` | `const char*`
| A JSONPath expression.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the compilation was successful, and `FALSE` otherwise.